Package weka.core.pmml.jaxbbindings

# Class SetPredicate

java.lang.Object
weka.core.pmml.jaxbbindings.SetPredicate

public class SetPredicate extends Object

Java class for SetPredicate element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="SetPredicate">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://www.dmg.org/PMML-4_1}STRING-ARRAY"/>
             </sequence>
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="id" use="required" type="{http://www.dmg.org/PMML-4_1}ELEMENT-ID" />
             <attribute name="operator" type="{http://www.w3.org/2001/XMLSchema}string" fixed="supersetOf" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPredicate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getOperator()`
  Gets the value of the operator property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setOperator(String value)`
  Sets the value of the operator property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetPredicate

    public SetPredicate()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOperator

    public String getOperator()
    Gets the value of the operator property.
    Returns:
      possible object is `String`

  - ### setOperator

    public void setOperator(String value)
    Sets the value of the operator property.
    Parameters:
      `value` - allowed object is `String`